#include "bits/stdc++.h"

using namespace std;

int main() {
  ios_base::sync_with_stdio(0);

  // Wczytujemy liczbę desek.
  int N;
  cin >> N;

  // Deklarujemy wektor L na długości desek o długości N
  vector <int> L(N);
  // i wczytujemy wartości po kolei do tego wektora.
  for (int i=0; i<N; i++) cin >> L[i];

  // Sortujemy wszystkie długości korzystając z biblioteki stanardowej.
  sort(L.begin(), L.end());

  // W poniższych wierszach szukamy długości boku naszej kwadratowej piaskownicy.

  // Pierwszym możliwym rozwiązaniem jest wzięcie najdłuższej deski
  // i podzielenie jej na 4 równe kawałki.
  int bok = L[N-1]/4;

  // Kiedy mamy co najmniej dwie deski mamy dwa przypadki do rozpatrzenia:
  if (N >= 2) {
    // albo bierzemy najdłuższą deskę, dzielimy na trzy części i jako czwartą
    // deskę bierzemy drugą najdłuższą,
    bok = max(bok, min(L[N-1]/3, L[N-2]));
    // albo obie dwie najdłuższe deski dzielimy na połowy, otrzymując cztery deski.
    bok = max(bok, L[N-2]/2);
  }

  // Jeżeli mamy co najmniej trzy deski,
  if (N >= 3) {
    // to jedyną możliwością, którą musimy rozważyć jest przepiłowanie
    // najdłuższą deskę na pół.
    bok = max(bok, min(L[N-1]/2, L[N-3]));
  }

  // Natomiast jeżeli mamy co najmniej cztery deski,
  if (N >= 4) {
    // to możemy wziąć wszystkie deski bez żadnego piłowania.
    bok = max(bok, L[N-4]);
  }

  // Wypisujemy wynik - pole największej piaskownicy,
  // pamiętając że wynik należy zrzutować na zmienną typu long long.
  cout << (long long)bok * bok << "\n";
}
